<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$art_id=$_POST['art_id'];
$pen_id=$_POST['pen_id'];
$pend_id=$_POST['pend_id'];
$observaciones=$_POST['observaciones'];
$sql=mysqli_query($con,"UPDATE pedido_detalle SET pend_observaciones='$observaciones' WHERE pend_id='$pend_id'") or die(mysqli_error($con)); 
 $valores_no_vacios = 0;
if(isset($_POST['sabor']) && !empty($_POST['sabor'])) 
{
    $sabor=$_POST['sabor'];
    foreach($sabor as $valor) 
    {
        if(!empty($valor)) // Solo si no esta vacío y es un número (is_numeric)
        $valores_no_vacios++;
    }
    $valores_no_vacios;
}
$number = $valores_no_vacios;  

if($number > 0)  
{  
    for($i=0; $i<$number; $i++)  
    {  
        if(trim($_POST["sabor"][$i] != '') )
        $dato1=strtoupper($_POST["sabor"][$i]); 
        
        $atri=mysqli_query($con,"SELECT * FROM sabores_productos where articulo_art_id='$art_id' and sab_nombre='$dato1' and sab_estado='Activo' and empresa='$empresa'");
        while($atri1 = mysqli_fetch_array($atri))
        {
            $sab_id=$atri1['sab_id'];
            $precio=$atri1['sab_precio'];
            $costo=$atri1['sab_costo'];
            $insert_tmp=mysqli_query($con, "INSERT INTO sabores_pedido_temp (sabor,costo,precio,cantidad,sabor_sab_id,pend_id,pedido_pen_id) 
			vALUES ('".$dato1."','$costo','$precio',1,'$sab_id','$pend_id','$pen_id')"); 
        } 
    }
    echo '<div class="alert alert-success alert-dismissable">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <strong>Serial!</strong> Registrado correctamente.
        </div>'; 
}
?>